Name:       perl-Test-Strict 
Version:    0.26
Release:    1%{?dist}
# see lib/Test/Strict.pm
License:    GPL+ or Artistic
Group:      Development/Libraries
Summary:    Check syntax, presence of use strict/warnings, and test coverage
Source:     http://search.cpan.org/CPAN/authors/id/S/SZ/SZABGAB/Test-Strict-%{version}.tar.gz
Url:        http://search.cpan.org/dist/Test-Strict
Requires:   perl(:MODULE_COMPAT_%(eval "$(perl -V:version)"; echo $version))
BuildArch:  noarch
BuildRequires: perl
BuildRequires: perl(Config)
BuildRequires: perl(ExtUtils::MakeMaker) 
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(strict)
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Pod) >= 1.00
BuildRequires: perl(Test::Pod::Coverage) >= 1.00
BuildRequires: perl(vars)

%description
"Test::Strict" lets you check the syntax, presence of "use strict;" and
"use warnings;" in your perl code.  It reports its results in standard 
"Test::Simple" fashion. 

%prep
%setup -q -n Test-Strict-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} +
%{_fixperms} %{buildroot}/*

%check
make test

%files
%doc README Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Fri Oct 17 2014 Petr Šabata <contyk@redhat.com> - 0.26-1
- 0.26 bump

* Wed Oct 08 2014 Petr Šabata <contyk@redhat.com> - 0.24-1
- 0.24 bump

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 0.23-3
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.23-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Mar 28 2014 Petr Šabata <contyk@redhat.com> - 0.23-1
- 0.23 bump, warnings and strict API change

* Sat Aug 03 2013 Petr Pisar <ppisar@redhat.com> - 0.22-2
- Perl 5.18 rebuild

* Fri Mar 01 2013 Petr Šabata <contyk@redhat.com> - 0.22-1
- 0.22 bump, distribution cleanup

* Thu Feb 28 2013 Petr Pisar <ppisar@redhat.com> - 0.21-1
- 0.21 bump

* Mon Feb 25 2013 Petr Šabata <contyk@redhat.com> - 0.20-1
- 0.20 bump, detect even more modules

* Thu Feb 21 2013 Petr Pisar <ppisar@redhat.com> - 0.19-1
- 0.19 bump

* Mon Feb 18 2013 Petr Šabata <contyk@redhat.com> - 0.18-1
- 0.18 bump, Moose::Autobox doesn't enable strictures

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jan 03 2013 Petr Šabata <contyk@redhat.com> - 0.17-1
- 0.17 bump
- Modernize the spec a bit
- Remove unused build dependencies
- Update source URL

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jun 23 2012 Petr Pisar <ppisar@redhat.com> - 0.14-4
- Perl 5.16 rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.14-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jul 20 2011 Petr Sabata <contyk@redhat.com> - 0.14-2
- Perl mass rebuild

* Thu Feb 24 2011 Iain Arnell <iarnell@gmail.com> 0.14-1
- update to latest upstream version
- clean up spec for modern rpmbuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Dec 22 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-6
- 661697 rebuild for fixing problems with vendorach/lib

* Fri May 07 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.13-5
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.13-4
- rebuild against perl 5.10.1

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Feb 11 2009 Chris Weyl <cweyl@alumni.drew.edu> 0.13-1
- update to 0.13

* Tue Nov 25 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-2
- bump

* Tue Nov 18 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-1
- update for submission

* Wed Nov 12 2008 Chris Weyl <cweyl@alumni.drew.edu> 0.09-0.1
- initial RPM packaging
- generated with cpan2dist (CPANPLUS::Dist::RPM version 0.0.5)

